/*--------------------------------------------------------------------------*/
/*  PLOT_ANSI: package for simple 2d X11 graphics                           */
/*                                                                          */
/*  (c) by A. Schmidt (1990-2004)                                           */
/*                                                                          */
/*     This program is free software; you can redistribute it and/or modify */
/*     it under the terms of the GNU General Public License as published by */
/*     the Free Software Foundation; either version 2 of the License, or    */
/*     any later version.                                                   */
/*                                                                          */
/*     This program is distributed in the hope that it will be useful,      */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*     GNU General Public License for more details.                         */
/*--------------------------------------------------------------------------*/

/*  awtest - sampe program for usage of athena widgets */

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/Command.h>

static XrmOptionDescRec options[] = {
  {"-label", "*button.label", XrmoptionSepArg, NULL }
};

Syntax(call)
  char *call;
{
  fprintf(stderr,"Usage:%s\n",call);
}

void Activate(w, client_data, call_data)
  Widget w;
  caddr_t client_data;   /* unused */
  caddr_t call_data;     /* unused */
{
  printf("button was activated.\n");
  exit(0);
}

void main(argc,argv)
  unsigned int argc;
  char **argv;
{
  Widget toplevel;
  static XtCallbackRec callbacks[] = {
    {Activate, NULL},
    {NULL,     NULL}
  };
  static Arg args[] = {
    {XtNcallback, (XtArgVal) callbacks }
  };

  toplevel = XtInitialize( "main", "Demo", options, XtNumber(options),
                           &argc, argv );
  if (argc != 1) Syntax(argv[0]);

  XtCreateManagedWidget( "button", commandWidgetClass, toplevel,
                         args, XtNumber(args));

  XtRealizeWidget(toplevel);
  XtMainLoop();
}
