/*--------------------------------------------------------------------------*/
/*  PLOT_ANSI: package for simple 2d X11 graphics                           */
/*                                                                          */
/*  (c) by A. Schmidt (1990-2004)                                           */
/*                                                                          */
/*     This program is free software; you can redistribute it and/or modify */
/*     it under the terms of the GNU General Public License as published by */
/*     the Free Software Foundation; either version 2 of the License, or    */
/*     any later version.                                                   */
/*                                                                          */
/*     This program is distributed in the hope that it will be useful,      */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*     GNU General Public License for more details.                         */
/*--------------------------------------------------------------------------*/

#include <stdio.h>
#include <math.h>
#include "PLOTansi.h"


main(int argc, char *argv[])
{
  PLOT_INFO *info1;
  Display *display;
  XEvent report;
  int i,j;
  float a,rad,drad;
  char line[100];
  static float white[3] = {1.0,1.0,1.0};
  static float black[3] = {0.0,0.0,0.0};

  info1 = PLOT_create_window("test2", "200x200+50+50");
  if (info1==NULL) {
    printf("cannot create PLOT window\n");
    exit (1);
  }
  display = info1->display;

  PLOT_alarm(5);

#define STEPS 200
  rad = 0.49;
  drad = -0.05;

  while(1) {

    if (rad < -0.4) drad =  0.05;
    if (rad >  0.6) drad = -0.05;

    rad = rad + drad;

    PLOT_clear();

    PLOT_move2d(0.5+rad, 0.5+0.0);
    for (i=1;i<= STEPS; i++) {
      a = ((float)i) / ((float)(STEPS-1)) * 2.0 * M_PI;
      PLOT_draw2d(0.5+rad*cos(a), 0.5+rad*sin(a));
    }

    PLOT_text2d(0.5,0.5,"<Mitte>");

    PLOT_flush();


    PLOT_text2d(0.4,0.35,"unten");

    PLOT_flush();

    PLOT_set_linecolor(white);
    PLOT_move2d(0.5-rad, 0.5+0.0);
    for (i=STEPS/2;i<= STEPS; i++) {
      a = ((float)i) / ((float)(STEPS-1)) * 2.0 * M_PI;
      PLOT_draw2d(0.5+rad*cos(a), 0.5+rad*sin(a));
    }
    PLOT_set_linecolor(black);

    PLOT_flush();

    /*sleep(10);*/
    XMaskEvent(display, KeyPressMask | ButtonPressMask , &report);
  }


  XMaskEvent(display, KeyPressMask | ButtonPressMask , &report);


  PLOT_alarm(0);

  PLOT_destroy_window(info1);  
}



